SellAuth

Endpoints

GET
/v1/shops/{shopId}/quantity-deals

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Path Parameters

shopIdRequiredstring
curl -X GET "https://api.sellauth.com/v1/shops/culpa/quantity-deals" \
  -H "Authorization: Bearer <token>"

{
  "message": "Unauthenticated."
}

POST
/v1/shops/{shopId}/quantity-deals

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Request Body

application/jsonRequired
nameRequiredstring

Must not be greater than 255 characters.

product_idRequiredinteger
variant_idinteger
buy_quantityRequiredinteger

Must be at least 1.

discounted_quantityRequiredinteger

Must be at least 1.

percentageRequirednumber

Must be at least 0.01. Must not be greater than 100.

max_uses_per_cartinteger

Must be at least 1.

priorityinteger

Must be at least 0.

starts_atstring

Must be a valid date. Must be a date before 2038-01-19.

ends_atstring

Must be a valid date. Must be a date before 2038-01-19.

enabledRequiredboolean

Path Parameters

shopIdRequiredstring
curl -X POST "https://api.sellauth.com/v1/shops/culpa/quantity-deals" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "pasyzwszwtxpeqq",
    "product_id": 12,
    "variant_id": 12,
    "buy_quantity": 1,
    "discounted_quantity": 65,
    "percentage": 24,
    "max_uses_per_cart": 90,
    "priority": 79,
    "starts_at": "2020-08-07",
    "ends_at": "2020-08-07",
    "enabled": false
  }'

GET
/v1/shops/{shopId}/quantity-deals/{dealId}

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Path Parameters

shopIdRequiredstring
dealIdRequiredstring
curl -X GET "https://api.sellauth.com/v1/shops/culpa/quantity-deals/culpa" \
  -H "Authorization: Bearer <token>"

{
  "message": "Unauthenticated."
}

DELETE
/v1/shops/{shopId}/quantity-deals/{dealId}

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Path Parameters

shopIdRequiredstring
dealIdRequiredstring
curl -X DELETE "https://api.sellauth.com/v1/shops/culpa/quantity-deals/culpa" \
  -H "Authorization: Bearer <token>"

PUT
/v1/shops/{shopId}/quantity-deals/{dealId}/update

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Request Body

application/jsonRequired
nameRequiredstring

Must not be greater than 255 characters.

product_idRequiredinteger
variant_idinteger
buy_quantityRequiredinteger

Must be at least 1.

discounted_quantityRequiredinteger

Must be at least 1.

percentageRequirednumber

Must be at least 0.01. Must not be greater than 100.

max_uses_per_cartinteger

Must be at least 1.

priorityinteger

Must be at least 0.

starts_atstring

Must be a valid date. Must be a date before 2038-01-19.

ends_atstring

Must be a valid date. Must be a date before 2038-01-19.

enabledRequiredboolean

Path Parameters

shopIdRequiredstring
dealIdRequiredstring
curl -X PUT "https://api.sellauth.com/v1/shops/culpa/quantity-deals/culpa/update" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "pasyzwszwtxpeqq",
    "product_id": 12,
    "variant_id": 12,
    "buy_quantity": 1,
    "discounted_quantity": 65,
    "percentage": 24,
    "max_uses_per_cart": 90,
    "priority": 79,
    "starts_at": "2020-08-07",
    "ends_at": "2020-08-07",
    "enabled": false
  }'

GET
/v1/shops/{shopId}/bundle-offers

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Path Parameters

shopIdRequiredstring
curl -X GET "https://api.sellauth.com/v1/shops/culpa/bundle-offers" \
  -H "Authorization: Bearer <token>"

{
  "message": "Unauthenticated."
}

POST
/v1/shops/{shopId}/bundle-offers

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Request Body

application/jsonRequired
nameRequiredstring

Must not be greater than 255 characters.

typeRequiredstring
Value in: "percentage" | "fixed"
discountRequirednumber

Must be at least 0.01. Must not be greater than 999999.

max_uses_per_cartinteger

Must be at least 1.

priorityinteger

Must be at least 0.

starts_atstring

Must be a valid date. Must be a date before 2038-01-19.

ends_atstring

Must be a valid date. Must be a date before 2038-01-19.

enabledRequiredboolean
itemsRequiredarray<integer>

Must have at least 1 items.

Path Parameters

shopIdRequiredstring
curl -X POST "https://api.sellauth.com/v1/shops/culpa/bundle-offers" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "pasyzwszwtxpeqq",
    "type": "percentage",
    "discount": 10,
    "max_uses_per_cart": 85,
    "priority": 42,
    "starts_at": "2020-08-07",
    "ends_at": "2020-08-07",
    "enabled": false,
    "items": "syzwszwtxpeqqikymwkiinfowtzmixkolowyuffszfrcsnwwxvxez"
  }'

GET
/v1/shops/{shopId}/bundle-offers/{offerId}

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Path Parameters

shopIdRequiredstring
offerIdRequiredstring
curl -X GET "https://api.sellauth.com/v1/shops/culpa/bundle-offers/culpa" \
  -H "Authorization: Bearer <token>"

{
  "message": "Unauthenticated."
}

DELETE
/v1/shops/{shopId}/bundle-offers/{offerId}

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Path Parameters

shopIdRequiredstring
offerIdRequiredstring
curl -X DELETE "https://api.sellauth.com/v1/shops/culpa/bundle-offers/culpa" \
  -H "Authorization: Bearer <token>"

PUT
/v1/shops/{shopId}/bundle-offers/{offerId}/update

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Request Body

application/jsonRequired
nameRequiredstring

Must not be greater than 255 characters.

typeRequiredstring
Value in: "percentage" | "fixed"
discountRequirednumber

Must be at least 0.01. Must not be greater than 999999.

max_uses_per_cartinteger

Must be at least 1.

priorityinteger

Must be at least 0.

starts_atstring

Must be a valid date. Must be a date before 2038-01-19.

ends_atstring

Must be a valid date. Must be a date before 2038-01-19.

enabledRequiredboolean
itemsRequiredarray<integer>

Must have at least 1 items.

Path Parameters

shopIdRequiredstring
offerIdRequiredstring
curl -X PUT "https://api.sellauth.com/v1/shops/culpa/bundle-offers/culpa/update" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "pasyzwszwtxpeqq",
    "type": "percentage",
    "discount": 10,
    "max_uses_per_cart": 85,
    "priority": 42,
    "starts_at": "2020-08-07",
    "ends_at": "2020-08-07",
    "enabled": false,
    "items": "syzwszwtxpeqqikymwkiinfowtzmixkolowyuffszfrcsnwwxvxez"
  }'

GET
/v1/shops/{shopId}/abandoned-checkouts

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Request Body

application/jsonOptional
pageinteger
perPageinteger

Must be at least 1. Must not be greater than 100.

typestring
Value in: "created" | "pending" | "all"
searchstring

Must not be greater than 255 characters.

date_fromstring

Must be a valid date.

date_tostring

Must be a valid date. Must be a date after or equal to date_from.

include_dismissedboolean

Path Parameters

shopIdRequiredstring
curl -X GET "https://api.sellauth.com/v1/shops/culpa/abandoned-checkouts" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "page": 12,
    "perPage": 1,
    "type": "created",
    "search": "yzwszwtxpeqqiky",
    "date_from": "2026-07-23T12:49:44",
    "date_to": "2084-07-01",
    "include_dismissed": false
  }'

{
  "message": "Unauthenticated."
}

GET
/v1/shops/{shopId}/abandoned-checkouts/stats

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Path Parameters

shopIdRequiredstring
curl -X GET "https://api.sellauth.com/v1/shops/culpa/abandoned-checkouts/stats" \
  -H "Authorization: Bearer <token>"

{
  "message": "Unauthenticated."
}

POST
/v1/shops/{shopId}/abandoned-checkouts/{invoiceId}/dismiss

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Path Parameters

shopIdRequiredstring
invoiceIdRequiredstring
curl -X POST "https://api.sellauth.com/v1/shops/culpa/abandoned-checkouts/culpa/dismiss" \
  -H "Authorization: Bearer <token>"

POST
/v1/shops/{shopId}/abandoned-checkouts/{invoiceId}/undismiss

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Path Parameters

shopIdRequiredstring
invoiceIdRequiredstring
curl -X POST "https://api.sellauth.com/v1/shops/culpa/abandoned-checkouts/culpa/undismiss" \
  -H "Authorization: Bearer <token>"

POST
/v1/shops/{shopId}/abandoned-checkouts/bulk-recover

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Request Body

application/jsonOptional
invoice_idsarray<integer>
coupon_idinteger

Path Parameters

shopIdRequiredstring
curl -X POST "https://api.sellauth.com/v1/shops/culpa/abandoned-checkouts/bulk-recover" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "invoice_ids": [
      12
    ],
    "coupon_id": 12
  }'

POST
/v1/shops/{shopId}/abandoned-checkouts/{invoiceId}/recover

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Request Body

application/jsonOptional
coupon_idinteger

Path Parameters

shopIdRequiredstring
invoiceIdRequiredstring
curl -X POST "https://api.sellauth.com/v1/shops/culpa/abandoned-checkouts/culpa/recover" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "coupon_id": 12
  }'

GET
/v1/shops/{shopId}/subscriptions

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Request Body

application/jsonOptional
statusstring
Value in: "pending" | "trialing" | "active" | "past_due" | "cancelled" | "expired"
product_idinteger
customer_idinteger
perPageinteger

Path Parameters

shopIdRequiredstring
curl -X GET "https://api.sellauth.com/v1/shops/culpa/subscriptions" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "status": "active",
    "product_id": 12,
    "customer_id": 12,
    "perPage": 12
  }'

{
  "message": "Unauthenticated."
}

GET
/v1/shops/{shopId}/subscriptions/{subscriptionId}

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Path Parameters

shopIdRequiredstring
subscriptionIdRequiredstring
curl -X GET "https://api.sellauth.com/v1/shops/culpa/subscriptions/culpa" \
  -H "Authorization: Bearer <token>"

{
  "message": "Unauthenticated."
}

POST
/v1/shops/{shopId}/subscriptions/{subscriptionId}/cancel

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Request Body

application/jsonOptional
at_period_endboolean

Path Parameters

shopIdRequiredstring
subscriptionIdRequiredstring
curl -X POST "https://api.sellauth.com/v1/shops/culpa/subscriptions/culpa/cancel" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "at_period_end": true
  }'